=== debian/changelog ===
pegtl (1.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #826346)

 -- Muri Nicanor <muri@immerda.ch>  Sat, 04 Jun 2016 17:03:42 +0200
