=== debian/control ===
Source: pegtl
Priority: optional
Maintainer: Muri Nicanor <muri@immerda.ch>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/ColinH/PEGTL

Package: pegtl-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Description: Parsing Expression Grammar Template Library
 The Parsing Expression Grammar Template Library (PEGTL) is a zero-dependency
 C++11 header-only library for creating parsers according to a Parsing
 Expression Grammar (PEG).
