=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/json-$1\.tar\.gz/ \
  https://github.com/ColinH/PEGTL/tags .*/v?(\d\S*)\.tar\.gz
